<?php
require_once(getabspath("classes/cipherer.php"));



$tdataquadro_vinha = array();
$tdataquadro_vinha[".ShortName"] = "quadro_vinha";

$tdataquadro_vinha[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdataquadro_vinha[".originalPagesByType"] = $tdataquadro_vinha[".pagesByType"];
$tdataquadro_vinha[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdataquadro_vinha[".originalPages"] = $tdataquadro_vinha[".pages"];
$tdataquadro_vinha[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdataquadro_vinha[".originalDefaultPages"] = $tdataquadro_vinha[".defaultPages"];


//	field labels
$fieldLabelsquadro_vinha = array();
$pageTitlesquadro_vinha = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsquadro_vinha["Portuguese(Standard)"] = array();
	$fieldLabelsquadro_vinha["Portuguese(Standard)"]["AssegnatoVinha_Marza"] = "Marza";
	$fieldLabelsquadro_vinha["Portuguese(Standard)"]["AssegnatoVinha_Varieta"] = "Varieta";
	$fieldLabelsquadro_vinha["Portuguese(Standard)"]["AssegnatoVinha_Totale"] = "Totale";
	$fieldLabelsquadro_vinha["Portuguese(Standard)"]["AssegnatoVinha_Quantidade_Vendida"] = "Quantidade Vendida";
	$fieldLabelsquadro_vinha["Portuguese(Standard)"]["AssegnatoVinha_Stock"] = "Stock";
	$fieldLabelsquadro_vinha["Portuguese(Standard)"]["AssegnatoVinha_Talea"] = "Talea";
	$fieldLabelsquadro_vinha["Portuguese(Standard)"]["AssegnatoVinha_Clone"] = "Clone";
}

//	search fields
$tdataquadro_vinha[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"AssegnatoVinha", "field"=>"Marza" );
$tdataquadro_vinha[".searchFields"]["AssegnatoVinha_Marza"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"AssegnatoVinha", "field"=>"Talea" );
$tdataquadro_vinha[".searchFields"]["AssegnatoVinha_Talea"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"AssegnatoVinha", "field"=>"Clone" );
$tdataquadro_vinha[".searchFields"]["AssegnatoVinha_Clone"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"AssegnatoVinha", "field"=>"Varieta" );
$tdataquadro_vinha[".searchFields"]["AssegnatoVinha_Varieta"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"AssegnatoVinha", "field"=>"Totale" );
$tdataquadro_vinha[".searchFields"]["AssegnatoVinha_Totale"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"AssegnatoVinha", "field"=>"Quantidade Vendida" );
$tdataquadro_vinha[".searchFields"]["AssegnatoVinha_Quantidade_Vendida"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"AssegnatoVinha", "field"=>"Stock" );
$tdataquadro_vinha[".searchFields"]["AssegnatoVinha_Stock"] = $dashField;

// all search fields
$tdataquadro_vinha[".allSearchFields"] = array();
$tdataquadro_vinha[".allSearchFields"][] = "AssegnatoVinha_Marza";
$tdataquadro_vinha[".allSearchFields"][] = "AssegnatoVinha_Talea";
$tdataquadro_vinha[".allSearchFields"][] = "AssegnatoVinha_Clone";
$tdataquadro_vinha[".allSearchFields"][] = "AssegnatoVinha_Varieta";
$tdataquadro_vinha[".allSearchFields"][] = "AssegnatoVinha_Totale";
$tdataquadro_vinha[".allSearchFields"][] = "AssegnatoVinha_Quantidade_Vendida";
$tdataquadro_vinha[".allSearchFields"][] = "AssegnatoVinha_Stock";

// good like search fields
$tdataquadro_vinha[".googleLikeFields"] = array();
$tdataquadro_vinha[".googleLikeFields"][] = "AssegnatoVinha_Marza";
$tdataquadro_vinha[".googleLikeFields"][] = "AssegnatoVinha_Talea";
$tdataquadro_vinha[".googleLikeFields"][] = "AssegnatoVinha_Clone";
$tdataquadro_vinha[".googleLikeFields"][] = "AssegnatoVinha_Varieta";
$tdataquadro_vinha[".googleLikeFields"][] = "AssegnatoVinha_Totale";
$tdataquadro_vinha[".googleLikeFields"][] = "AssegnatoVinha_Quantidade_Vendida";
$tdataquadro_vinha[".googleLikeFields"][] = "AssegnatoVinha_Stock";

$tdataquadro_vinha[".dashElements"] = array();

	$dbelement = array( "elementName" => "assegnatovinha_list", "table" => "AssegnatoVinha", 
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "cell_0_0";

			$dbelement["width"] = 800;
		$dbelement["height"] = 400;
		$dbelement["inlineAdd"] = 0 > 0;
	$dbelement["inlineEdit"] = 0 > 0;
	$dbelement["deleteRecord"] = 0 > 0;

	$dbelement["popupAdd"] = 0 > 0;
	$dbelement["popupEdit"] = 0 > 0;
	$dbelement["popupView"] = 0 > 0;
	
	$dbelement["updateSelected"] = 0 > 0;


	$tdataquadro_vinha[".dashElements"][] = $dbelement;

$tdataquadro_vinha[".shortTableName"] = "quadro_vinha";
$tdataquadro_vinha[".entityType"] = 4;



$tableEvents["Quadro Vinha"] = new eventsBase;
$tdataquadro_vinha[".hasEvents"] = false;


$tdataquadro_vinha[".tableType"] = "dashboard";


	
$tdataquadro_vinha[".addPageEvents"] = false;

$tdataquadro_vinha[".isUseAjaxSuggest"] = true;

$tables_data["Quadro Vinha"]=&$tdataquadro_vinha;
$field_labels["Quadro_Vinha"] = &$fieldLabelsquadro_vinha;
$page_titles["Quadro_Vinha"] = &$pageTitlesquadro_vinha;

?>